# XMLDateTime Class Reference

Inheritance diagram for XMLDateTime:

List of all members.

## Public Types

enum | valueIndex { CentYear = 0, Month, Day, Hour, Minute, Second, MiliSecond, utc, TOTAL_SIZE }
enum | utcType { UTC_UNKNOWN = 0, UTC_STD, UTC_POS, UTC_NEG }

## Public Member Functions

| XMLDateTime (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLDateTime (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLDateTime ()
void | setBuffer (const XMLCh *const)
| XMLDateTime (const XMLDateTime &)
XMLDateTime & | operator= (const XMLDateTime &)
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
XMLCh * | getDateTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getDateCanonicalRepresentation (MemoryManager *const memMgr) const
void | parseDateTime ()
void | parseDate ()
void | parseTime ()
void | parseDay ()
void | parseMonth ()
void | parseYear ()
void | parseMonthDay ()
void | parseYearMonth ()
void | parseDuration ()

## Static Public Member Functions

static int | compare (const XMLDateTime *const , const XMLDateTime *const)
static int | compare (const XMLDateTime *const , const XMLDateTime *const , bool)
static int | compareOrder (const XMLDateTime *const , const XMLDateTime *const)

## Friends

class | XSValue

## Member Enumeration Documentation

enum XMLDateTime::valueIndex

Enumerator:

  CentYear |
  Month |
  Day |
  Hour |
  Minute |
  Second |
  MiliSecond |
  utc |
  TOTAL_SIZE |

enum XMLDateTime::utcType

Enumerator:

  UTC_UNKNOWN |
  UTC_STD |
  UTC_POS |
  UTC_NEG |

## Constructor & Destructor Documentation

XMLDateTime::XMLDateTime | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

XMLDateTime::XMLDateTime | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

XMLDateTime::~XMLDateTime | ( |  | ) |

XMLDateTime::XMLDateTime | ( | const XMLDateTime & |  | ) |

## Member Function Documentation

void XMLDateTime::setBuffer | ( | const XMLCh * const | aString | ) |

References MemoryManager::allocate(), MemoryManager::deallocate(), XMLChar1_0::isWhitespace(), and XMLString::stringLen().

XMLDateTime& XMLDateTime::operator= | ( | const XMLDateTime & |  | ) |

virtual XMLCh* XMLDateTime::getRawData | ( |  | ) | const`[virtual]`

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

virtual const XMLCh* XMLDateTime::getFormattedString | ( |  | ) | const`[virtual]`

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

virtual int XMLDateTime::getSign | ( |  | ) | const`[virtual]`

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implements XMLNumber.

XMLCh* XMLDateTime::getDateTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

XMLCh* XMLDateTime::getTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

XMLCh* XMLDateTime::getDateCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

void XMLDateTime::parseDateTime | ( |  | ) |

void XMLDateTime::parseDate | ( |  | ) |

void XMLDateTime::parseTime | ( |  | ) |

void XMLDateTime::parseDay | ( |  | ) |

void XMLDateTime::parseMonth | ( |  | ) |

void XMLDateTime::parseYear | ( |  | ) |

void XMLDateTime::parseMonthDay | ( |  | ) |

void XMLDateTime::parseYearMonth | ( |  | ) |

void XMLDateTime::parseDuration | ( |  | ) |

static int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const |
| ) |  |  | `[static]`

static int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const,
|  | bool |  |
| ) |  |  | `[static]`

static int XMLDateTime::compareOrder | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const |
| ) |  |  | `[static]`

## Friends And Related Function Documentation

friend class XSValue`[friend]`

The documentation for this class was generated from the following file:

- XMLDateTime.hpp